Code service

### Hierarchy

- CodeService

## Index

### Constructors

- constructor

### Methods

- getCode
- initFormValue
- synkCode
- getInstance

## Constructors

### constructor

- new CodeService(): CodeService

- - Defined in src/services/code.service.ts:21

  Creates an instance of code service.

  #### Returns CodeService

## Methods

### getCode

- getCode(key: string): Promise<CodeVo<any>[]>

- - Defined in src/services/code.service.ts:94

  Gets code

  #### Parameters

  - ##### key: string

  #### Returns Promise<CodeVo<any>[]>

  code

### initFormValue

- initFormValue(container: {}, codeList: string[]): void

- - Defined in src/services/code.service.ts:48

  Inits form value

  #### Parameters

  - ##### container: {}

    - ##### [key: string]: any

  - ##### codeList: string[]

  #### Returns void

### synkCode

- synkCode(container: {}, codeList: {}): Promise<void>

- - Defined in src/services/code.service.ts:68

  Synks code

  #### Parameters

  - ##### container: {}

    - ##### [key: string]: any

  - ##### codeList: {}

    - ##### [key: string]: string

  #### Returns Promise<void>

  code

### Static getInstance

- getInstance(): CodeService

- - Defined in src/services/code.service.ts:30

  Gets instance

  #### Returns CodeService

  instance

Generated using TypeDoc